Page MenuHomePhabricator

Hygiene: Refactor RelatedArticles extension to use consistent wording ("pages" everywhere)
Closed, ResolvedPublic

Description

Title should be updated after a consensus is made on whether to use "article" or "page."
We're going with Pages, but leaving the extension named RelatedArticles.

Details

Related Gerrit Patches:
mediawiki/extensions/RelatedArticles : dev[Hygiene] Rename internal uses of "article" to "page"
mediawiki/extensions/RelatedArticles : dev[Hygiene] Rename internal uses of "article" to "page"

Event Timeline

jhobs created this task.Nov 5 2015, 8:22 PM
jhobs raised the priority of this task from to Needs Triage.
jhobs updated the task description. (Show Details)
jhobs added subscribers: jhobs, Jdlrobson, phuedx.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 5 2015, 8:22 PM
phuedx awarded a token.Nov 6 2015, 9:26 AM
jhobs renamed this task from Hygiene: Refactor RelatedArticles extension to use consistent wording (either Articles or Pages everywhere) to Hygiene: Refactor RelatedArticles extension to use consistent wording ("pages" everywhere).Nov 11 2015, 7:46 PM
jhobs triaged this task as Unbreak Now! priority.
jhobs updated the task description. (Show Details)
jhobs set Security to None.

Change 253051 had a related patch set uploaded (by Jhobs):
[Hygiene] Rename internal uses of "article" to "page"

https://gerrit.wikimedia.org/r/253051

Change 253054 had a related patch set uploaded (by Jhobs):
[Hygiene] Rename internal uses of "article" to "page"

https://gerrit.wikimedia.org/r/253054

Change 253051 abandoned by Jhobs:
[Hygiene] Rename internal uses of "article" to "page"

Reason:
Wrote patch against master, not dev, and had issues rebasing. Moved to Ib0f258f26b0d11cfe8a598dbd90ff37afbbe36ac

https://gerrit.wikimedia.org/r/253051

jhobs lowered the priority of this task from Unbreak Now! to Medium.Nov 14 2015, 12:06 AM

Change 253054 merged by jenkins-bot:
[Hygiene] Rename internal uses of "article" to "page"

https://gerrit.wikimedia.org/r/253054

phuedx closed this task as Resolved.Nov 18 2015, 7:54 PM

This a technical task.